package com.glxp.udidl.admin.controller.info;

import com.glxp.udidl.admin.annotation.AuthRuleAnnotation;
import com.glxp.udidl.admin.entity.udid.JobLog;
import com.glxp.udidl.admin.req.udid.JobLogFilterRequest;
import com.glxp.udidl.admin.res.BaseResponse;
import com.glxp.udidl.admin.service.udi.JobLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "任务日志接口")
@RestController
@RequestMapping("/jobLog")
public class JobLogController {

    @Autowired
    JobLogService jobLogService;

    @ApiOperation(value = "UDI日志信息", response = JobLog.class)
    @AuthRuleAnnotation("jobLog/list")
    @PostMapping("/list")
    public BaseResponse getList(@RequestBody JobLogFilterRequest jobLogFilterRequest) {
        return jobLogService.getList(jobLogFilterRequest);
    }

}
