package com.glxp.udidl.admin.util;

import cn.hutool.db.nosql.redis.RedisDS;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;
import redis.clients.jedis.Jedis;

/**
 * redis工具类
 */
@Slf4j
@Component
public class RedisUtil {

    private final Jedis jedis = RedisDS.create().getJedis();

    public String get(String key) {
        return jedis.get(key);
    }

    public String setEx(String key, String value, long expireTime) {
        return jedis.setex(key, expireTime, value);
    }

    public boolean exist(String key) {
        return jedis.exists(key);
    }

    public long getExpireTime(String key) {
        return jedis.ttl(key);
    }

    public String set(String key, String value) {
        return jedis.set(key, value);
    }

    public boolean getLock(String key) {
        if (jedis.exists(key)) {
            long expireTime = getExpireTime(key);
            try {
                Thread.sleep(expireTime * 1000);
            } catch (Exception e) {
                log.error("获取锁异常", e);
            }
        }
        return true;
    }

}
